package bestell.service

import bestell.service.model.Bestellung
import bestell.service.model.Preis
import io.micronaut.http.annotation.Controller
import io.micronaut.http.annotation.Get
import io.micronaut.http.HttpStatus
import io.micronaut.http.annotation.Post
import javax.inject.Inject


@Controller("/bestellung")
class BestellungController {

    @Inject
    var preisClient : PreisClient? = null

    @Post
    fun bestellen( bestellung: Bestellung): Preis {

        var total = 0.0
        bestellung.positionen.forEach{
            total += preisClient!!.bestellen(it.artikel).preis
        }

        return Preis(total)
    }
}