package bestell.service

import bestell.service.model.Preis
import io.micronaut.http.annotation.Get
import io.micronaut.http.annotation.PathVariable
import io.micronaut.http.client.annotation.Client
import io.micronaut.retry.annotation.Retryable

@Client("preis-service")
interface PreisClient {

    @Retryable( delay = "2s", attempts = "3")
    @Get("/preis/{artikel}")
    fun bestellen(@PathVariable artikel: String ) : Preis
}