package price.service

import io.micronaut.http.annotation.Controller
import io.micronaut.http.annotation.Get
import io.micronaut.http.annotation.PathVariable
import javax.inject.Inject

@Controller("/preis")
class PreisController {

    @Inject
    val ps : PreisService = PreisService()

    @Get(uri = "/{artikel}")
    fun get(@PathVariable artikel : String ): Preis {
        return ps.getPrice(artikel)
    }
}